<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c348b6d3-3594-4c0d-82c2-9b2b70dcff1e" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ProjectId" id="20ayT7aeHif3LLmBgtsW1Q6YoA2" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Felhasználó\Desktop\coursera-machine-learning-in-python-master\mlclass-ex7-004\mlclass-ex7" />
      <recent name="C:\Users\Felhasználó\Desktop\coursera-machine-learning-in-python-master\mlclass-ex4-004\mlclass-ex4" />
      <recent name="C:\Users\Felhasználó\Desktop\coursera-machine-learning-in-python-master\mlclass-ex3-004\mlclass-ex3" />
    </key>
  </component>
  <component name="RunManager" selected="Python.ex8_cofi">
    <configuration name="Unnamed" type="PythonConfigurationType" factoryName="Python" nameIsGenerated="true">
      <module name="coursera-machine-learning-in-python-master" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="C:\Anaconda3\python.exe" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="ex6_spam" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="coursera-machine-learning-in-python-master" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mlclass-ex6-004/mlclass-ex6" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mlclass-ex6-004/mlclass-ex6/ex6_spam.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="ex7" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="coursera-machine-learning-in-python-master" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7/ex7.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="ex7_pca" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="coursera-machine-learning-in-python-master" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7/ex7_pca.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="ex8" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="coursera-machine-learning-in-python-master" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mlclass-ex8-004/mlclass-ex8" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mlclass-ex8-004/mlclass-ex8/ex8.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="ex8_cofi" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="coursera-machine-learning-in-python-master" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/mlclass-ex8-004/mlclass-ex8" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/mlclass-ex8-004/mlclass-ex8/ex8_cofi.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.Unnamed" />
      <item itemvalue="Python.ex6_spam" />
      <item itemvalue="Python.ex7" />
      <item itemvalue="Python.ex7_pca" />
      <item itemvalue="Python.ex8" />
      <item itemvalue="Python.ex8_cofi" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.ex8_cofi" />
        <item itemvalue="Python.ex8" />
        <item itemvalue="Python.ex7_pca" />
        <item itemvalue="Python.ex7" />
        <item itemvalue="Python.ex6_spam" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c348b6d3-3594-4c0d-82c2-9b2b70dcff1e" name="Changes" comment="" />
      <created>1636296999695</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1636296999695</updated>
      <workItem from="1636297001282" duration="6190000" />
      <workItem from="1636376379677" duration="11305000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2/plotDecisionBoundary.py</url>
          <line>59</line>
          <option name="timeStamp" value="25" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2/plotDecisionBoundary.py</url>
          <line>51</line>
          <option name="timeStamp" value="26" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2/plotDecisionBoundary.py</url>
          <line>56</line>
          <option name="timeStamp" value="27" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2/plotDecisionBoundary.py</url>
          <line>61</line>
          <option name="timeStamp" value="28" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/mlclass-ex3-004/mlclass-ex3/ex3.py</url>
          <line>47</line>
          <option name="timeStamp" value="29" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/mlclass-ex3-004/mlclass-ex3/ex3.py</url>
          <line>61</line>
          <option name="timeStamp" value="30" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/ex1_py$ex6_spam.coverage" NAME="ex6_spam Coverage Results" MODIFIED="1636386900543" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex6-004/mlclass-ex6" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex2.coverage" NAME="ex2 Coverage Results" MODIFIED="1636301477556" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex3_nn.coverage" NAME="ex3_nn Coverage Results" MODIFIED="1636302755976" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex3-004/mlclass-ex3" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex2_reg.coverage" NAME="ex2_reg Coverage Results" MODIFIED="1636302031078" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2" />
    <SUITE FILE_PATH="coverage/ex1_py$ex5.coverage" NAME="ex5 Coverage Results" MODIFIED="1636383886863" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex5-004/mlclass-ex5" />
    <SUITE FILE_PATH="coverage/ex1_py$ex7_pca.coverage" NAME="ex7_pca Coverage Results" MODIFIED="1636387955783" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex1_multi.coverage" NAME="ex1_multi Coverage Results" MODIFIED="1636298998254" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex1/mlclass-ex1" />
    <SUITE FILE_PATH="coverage/ex1_py$ex8_cofi.coverage" NAME="ex8_cofi Coverage Results" MODIFIED="1636388509164" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex8-004/mlclass-ex8" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex1.coverage" NAME="ex1 Coverage Results" MODIFIED="1636297594150" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex1/mlclass-ex1" />
    <SUITE FILE_PATH="coverage/ex1_py$ex8.coverage" NAME="ex8 Coverage Results" MODIFIED="1636388214622" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex8-004/mlclass-ex8" />
    <SUITE FILE_PATH="coverage/ex1_py$ex4.coverage" NAME="ex4 Coverage Results" MODIFIED="1636382252219" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex4-004/mlclass-ex4" />
    <SUITE FILE_PATH="coverage/ex1_py$ex3_nn.coverage" NAME="ex3_nn Coverage Results" MODIFIED="1636381480247" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex3-004/mlclass-ex3" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$surfaceplotexample.coverage" NAME="surfaceplotexample Coverage Results" MODIFIED="1636299616017" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex1/mlclass-ex1" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex4.coverage" NAME="ex4 Coverage Results" MODIFIED="1636302899757" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex4-004/mlclass-ex4" />
    <SUITE FILE_PATH="coverage/ex1_py$ex1.coverage" NAME="ex1 Coverage Results" MODIFIED="1636376406329" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex1/mlclass-ex1" />
    <SUITE FILE_PATH="coverage/ex1_py$ex7.coverage" NAME="ex7 Coverage Results" MODIFIED="1636387681721" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex7-004/mlclass-ex7" />
    <SUITE FILE_PATH="coverage/ex1_py$ex1_multi.coverage" NAME="ex1_multi Coverage Results" MODIFIED="1636376431479" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex1/mlclass-ex1" />
    <SUITE FILE_PATH="coverage/ex1_py$ex3.coverage" NAME="ex3 Coverage Results" MODIFIED="1636380599778" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex3-004/mlclass-ex3" />
    <SUITE FILE_PATH="coverage/ex1_py$ex6.coverage" NAME="ex6 Coverage Results" MODIFIED="1636384920388" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex6-004/mlclass-ex6" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$contour3d_demo.coverage" NAME="contour3d_demo Coverage Results" MODIFIED="1636299676822" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex1/mlclass-ex1" />
    <SUITE FILE_PATH="coverage/coursera_machine_learning_in_python_master$ex3.coverage" NAME="ex3 Coverage Results" MODIFIED="1636302677228" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex3-004/mlclass-ex3" />
    <SUITE FILE_PATH="coverage/ex1_py$ex2_reg.coverage" NAME="ex2_reg Coverage Results" MODIFIED="1636379247284" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2" />
    <SUITE FILE_PATH="coverage/ex1_py$ex2.coverage" NAME="ex2 Coverage Results" MODIFIED="1636379193948" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/mlclass-ex2-004/mlclass-ex2" />
  </component>
</project>